
#ifndef MAIN2_H
#define MAIN2_H

class DetailWindow {
public:
	int x, y, startx, starty, xres, yres, mask, DetailX, DetailY;
	int last_x, last_y;
	char ipstring[32];
	DetailWindow() { };
	void Initialize(int a, int b, int c, int d, int e, int f, int g) {
		x=a; y=b; startx=c; starty=d; xres = e; yres = f; mask = g;
	};
};


class BGPViewer {
public:
	int DetailX, DetailY;
	void PreProcess();
	void Draw();
	int Animate();
	int ReadInputFile(char *fname);
	void MakeFileList();
	void ReadFileList();
	void MakeTextureMap();
	void SelectIPSpace(int x, int y, DetailWindow &w);
	void DrawDetail(DetailWindow &win);
	void Debug();
	void SelectASDetail(int flag, int num);
	void DrawTimeLine(int len);
	void SelectTimeStep(float t);
	void UpdateDate(int &d);
	void BackOneDay(int & d);
	void ReadGrowth();
	void ReadFileContents();
};


#endif

